Merchant Registration Verify

List of Merchant onboarded through the Merchant Onboarding APIs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
X-Ipay-Outlet-IpStringMerchant's unique Identification numberMN

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
referenceKeyStringMCan be obtained from the response of Merchant Registration API
OTPStringMOTP is to be received on the aadhaar registered mobile number

Request Parameters

POST https://api.instantpay.in/user/outlet/registerationVerify
X-Ipay-Endpoint-Ip: {{endpointIP}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
X-Ipay-Outlet-Id:{{outletId}}

{
    "referenceKey":"{{referenceKeyKycVerify}}",// Can be obtained from the response of merchant registration  API
    "otp": "123456"
}
POST /user/outlet/registerationVerify HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Outlet-Id: {{OutletId}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

"Body"
{
    "referenceKey":"{{referenceKeyKycVerify}}",// this reference key associated with referenceKeyType of OutletRegistrationVerify
    "otp": "123456"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Success",
    "data": null,
    "timestamp": "2026-09-11 12:25:14",
    "ipay_uuid": "h000a2b7f4e5-bf7e-4019-a4cc-18bc6ce18a20-qdMaNvXMBl3Z"
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json